/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-23 17:52:37.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.common.ExamCourseInfo;
import cn.com.qmth.examcloud.core.print.service.bean.common.ExamInfo;
import cn.com.qmth.examcloud.core.print.service.bean.questionstructure.PaperQuestionStructureInfo;

import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/11/23
 */
public interface StatisticService {

    /**
     * 获取所有"传统"考试列表
     */
    List<ExamInfo> findExams(String examType);

    /**
     * 获取考试所有开考的课程列表(含试卷类型、考生数量)
     */
    List<ExamCourseInfo> findExamCourses(Long orgId, Long examId);

    /**
     * 获取考试所有开考的课程列表(含试卷类型、考生数量)
     */
    List<ExamCourseInfo> findExamCourses(Long orgId, Long examId, Long courseId, String paperType);

    /**
     * 获取试卷结构信息
     */
    PaperQuestionStructureInfo findStructureByPaperId(Long examId, String paperId);

}